Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.fasterxml.aalto.sax
Enum SAXFeature

    java.lang.Object
      java.lang.Enum<SAXFeature>
          com.fasterxml.aalto.sax.SAXFeature

All Implemented Interfaces:
  Serializable, Comparable<SAXFeature>

    public enum SAXFeature

extends Enum<SAXFeature>

Enumeration for listing all currently (SAX 2.0.2) defined standard features

Enum Constant Summary
`EXTERNAL_GENERAL_ENTITIES`
`EXTERNAL_PARAMETER_ENTITIES`
`IS_STANDALONE`
`LEXICAL_HANDLER_PARAMETER_ENTITIES`
`NAMESPACE_PREFIXES`
`NAMESPACES`
`RESOLVE_DTD_URIS`
`STRING_INTERNING`
`UNICODE_NORMALIZATION_CHECKING`
`USE_ATTRIBUTES2`
`USE_ENTITY_RESOLVER2`
`USE_LOCATOR2`
`VALIDATION`
`XML_1_1`
`XMLNS_URIS`

Field Summary
`static String` | `STD_FEATURE_PREFIX`

Method Summary
`String` | `getSuffix()`
`String` | `toExternal()`
`static SAXFeature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SAXFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXTERNAL_GENERAL_ENTITIES

    public static final SAXFeature EXTERNAL_GENERAL_ENTITIES

### EXTERNAL_PARAMETER_ENTITIES

    public static final SAXFeature EXTERNAL_PARAMETER_ENTITIES

### IS_STANDALONE

    public static final SAXFeature IS_STANDALONE

### LEXICAL_HANDLER_PARAMETER_ENTITIES

    public static final SAXFeature LEXICAL_HANDLER_PARAMETER_ENTITIES

### NAMESPACES

    public static final SAXFeature NAMESPACES

### NAMESPACE_PREFIXES

    public static final SAXFeature NAMESPACE_PREFIXES

### RESOLVE_DTD_URIS

    public static final SAXFeature RESOLVE_DTD_URIS

### STRING_INTERNING

    public static final SAXFeature STRING_INTERNING

### UNICODE_NORMALIZATION_CHECKING

    public static final SAXFeature UNICODE_NORMALIZATION_CHECKING

### USE_ATTRIBUTES2

    public static final SAXFeature USE_ATTRIBUTES2

### USE_LOCATOR2

    public static final SAXFeature USE_LOCATOR2

### USE_ENTITY_RESOLVER2

    public static final SAXFeature USE_ENTITY_RESOLVER2

### VALIDATION

    public static final SAXFeature VALIDATION

### XMLNS_URIS

    public static final SAXFeature XMLNS_URIS

### XML_1_1

    public static final SAXFeature XML_1_1

Field Detail

### STD_FEATURE_PREFIX

    public static final String STD_FEATURE_PREFIX

See Also:
  Constant Field Values

Method Detail

### values

    public static SAXFeature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SAXFeature c : SAXFeature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SAXFeature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getSuffix

    public String getSuffix()

### toExternal

    public String toExternal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Fasterxml.com. All Rights Reserved.